Bleachbit root does not start in Kubuntu Trusty 14.04.4

Bug #1558323 reported by Mélodie on 2016-03-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bleachbit (Ubuntu)
Undecided
Unassigned

Bug Description

Hello,

This simply fails. I tried to start it normally from the menus, I enter the password when the modale prompts me, nothing happens. I opened the bleachbit-root.desktop file to see what the command line is, some "su-to-root X ... " I entered that in the terminal, I enter the password, then it fails with some Python messages.

I tried to use kdesudo same thing. I installed gksu and entered "gksudo bleanchbit" in the terminal, no luck either, this time it's a messages related to some Xauthority thing in /tmp/kde***

There is no "kde-bleachbit" program to replace the Bleachbit gtk program, so could you please fix it?

Best regards,
Mélodie

Revision history for this message
Andrew Ziem (ahziem1) wrote :

Which version of BleachBit? Did you install it from the Ubuntu default repository or from https://www.bleachbit.org/download ?

Revision history for this message
Mélodie (meets) wrote :

Hi Andrew, Yes, it is the stock Bleachbit in the repos. I would never install from another source if a package is available in the repositories! (And even so, I would report upstream and not in the distro).

Best regards,
Mélodie

Revision history for this message
Andrew Ziem (ahziem1) wrote :

This sounds like a duplicate of
https://bugs.launchpad.net/bleachbit/+bug/1377719

Fixed in BleachBit 1.10
https://www.bleachbit.org/news/bleachbit-110

I suggest installing from https://www.bleachbit.org because the version in the Ubuntu repositories is often ancient, like in this case

If you would please confirm by rebooting Ubuntu and installing the newer version, then we can maybe close this bug ticket.

Revision history for this message
Mélodie (meets) wrote :

> This sounds like a duplicate

Strange, when I clicked on the "bugs" from within the page of the package Bleachbit: http://packages.ubuntu.com/trusty/bleachbit

<a href="https://launchpad.net/distros/ubuntu/+source/bleachbit/+bugs">Rapports de bogues</a>

I could not find this bug report in the list.

Why knowing that the newer version fixes the bug, this newer version isn't ported to Ubuntu Trusty which is a LTS? Since when do LTS editions need to get their programs directly from upstream?

Thanks for the tip though. I'll test and will report back asap.

Best regards,
Mélodie

Revision history for this message
Hugo Lefeuvre (hlef) wrote :

Same as #1686504: I have just uploaded Bleachbit 2.0-2 to the Debian archive, switching from su-to-root to policykit. Please try to reproduce, but it should be fixed now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers